From 7a05ed469e552b2d27bba49de4669d01dc06bc20 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 09 2017 15:58:10 +0000
Subject: [PATCH 734/1001] Replace the AGPLv3 template variables with template tags


---

diff --git a/hubs/tests/test_widgets/test_about.py b/hubs/tests/test_widgets/test_about.py
index 6fa31e9..35ff9fa 100644
--- a/hubs/tests/test_widgets/test_about.py
+++ b/hubs/tests/test_widgets/test_about.py
@@ -15,10 +15,7 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
         response = self.app.get('/ralph/%i/json/' % widget.idx)
         assert response.status_code == 200, response.status_code
         data = json.loads(response.get_data(as_text=True))
-        del data['data']['widget_url']
         self.assertDictEqual(data['data'], {
-            u'edit_url': u'/ralph/56/edit',
-            u'source_url': u'/source/about',
             'text': 'Testing.',
             'title': "<span class='glyphicon glyphicon-info-sign' "
                      "aria-hidden='true'></span> About",
diff --git a/hubs/tests/test_widgets/test_fedmsgstats.py b/hubs/tests/test_widgets/test_fedmsgstats.py
index 0d7e79d..6bb9cca 100644
--- a/hubs/tests/test_widgets/test_fedmsgstats.py
+++ b/hubs/tests/test_widgets/test_fedmsgstats.py
@@ -13,12 +13,9 @@ class TestFedmsgStats(hubs.tests.test_widgets.WidgetTest):
         response = self.app.get('/ralph/%i/json/' % widget.idx)
         assert response.status_code == 200, response.status_code
         data = json.loads(response.get_data(as_text=True))
-        del data['data']['widget_url']
         self.assertDictEqual(data['data'], {
-            u'edit_url': u'/ralph/37/edit',
             u'fedmsgs': 83854,
             u'fedmsgs_text': u'83,854',
-            u'source_url': u'/source/fedmsgstats',
             u'subscribers': [],
             u'subscribed_to': [],
             u'subscribers_text': u'0',
diff --git a/hubs/tests/test_widgets/test_library.py b/hubs/tests/test_widgets/test_library.py
index 6e4ba36..88db8b0 100644
--- a/hubs/tests/test_widgets/test_library.py
+++ b/hubs/tests/test_widgets/test_library.py
@@ -19,12 +19,9 @@ class TestLibrary(hubs.tests.test_widgets.WidgetTest):
             },
             "data": {
                 'title': 'Library',
-                "edit_url": "/ralph/%d/edit" % widget.idx,
-                "source_url": "/source/library",
                 "urls": [
                     "<a href=\"ralph/\">ralph/</a>"
                 ],
-                "widget_url": "/ralph/w/library/%d/" % widget.idx
             },
             "description": None,
             "hub": "ralph",
diff --git a/hubs/widgets/view.py b/hubs/widgets/view.py
index 3c2ccb7..572b670 100644
--- a/hubs/widgets/view.py
+++ b/hubs/widgets/view.py
@@ -76,13 +76,6 @@ class WidgetView(View):
         """
         # Put source links in all API results
         return {
-            'source_url': flask.url_for(
-                'widget_source', name=self.widget.name),
-            'widget_url': flask.url_for(
-                '%s_root' % self.widget.name,
-                hub=instance.hub.name, idx=instance.idx),
-            'edit_url': flask.url_for(
-                'widget_edit', hub=instance.hub.name, idx=instance.idx),
             'widget': self.widget,
             'widget_instance': instance,
         }

